FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000700FL52.2 Subprogram FLUC (CONV)public2015-06-25 14:202015-06-29 08:25
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV1R13
Product Version5.1.06 
Target Version5.1.06Fixed in Version5.1.07 
Summary0000700: Wild cards in PO data sets don't work correctly
DescriptionIf aliases for member used in PO library the wild card mechanism stops at the alias.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000849)
Falk Reichbott (administrator)
2015-06-25 18:39

The problem is not relatet to aliases.
(0000850)
Falk Reichbott (administrator)
2015-06-25 23:02
edited on: 2015-06-29 08:25

The problem was a directory record which use the complete length of 256 byte in the PO library. It was a mistake to check if the first byte (containing the high order bits of the length) must be 0x00. This plausicheck results in wrong interpretation of the directory if a record contains 256 bytes of content. The mistake was, to asume that the length field is not a part of the data it self.


- Issue History
Date Modified Username Field Change
2015-06-25 14:20 Falk Reichbott New Issue
2015-06-25 14:20 Falk Reichbott Status new => assigned
2015-06-25 14:20 Falk Reichbott Assigned To => Falk Reichbott
2015-06-25 18:39 Falk Reichbott Note Added: 0000849
2015-06-25 23:02 Falk Reichbott Note Added: 0000850
2015-06-25 23:02 Falk Reichbott Status assigned => resolved
2015-06-25 23:02 Falk Reichbott Fixed in Version => 5.1.07
2015-06-25 23:02 Falk Reichbott Resolution open => fixed
2015-06-26 09:38 Falk Reichbott Summary Wildcards in PO data sets don't work corrently => Wild cards in PO data sets don't work correctly
2015-06-26 09:40 Falk Reichbott Note Edited: 0000850 View Revisions
2015-06-29 08:25 Falk Reichbott Note Edited: 0000850 View Revisions


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker